[arch-commits] Commit in pandoc/repos (2 files)
Felix Yan
felixonmars at archlinux.org
Tue Aug 11 09:32:06 UTC 2020
Date: Tuesday, August 11, 2020 @ 09:32:06
Author: felixonmars
Revision: 674446
archrelease: copy trunk to community-staging-x86_64
Added:
pandoc/repos/community-staging-x86_64/
pandoc/repos/community-staging-x86_64/PKGBUILD
(from rev 674445, pandoc/trunk/PKGBUILD)
----------+
PKGBUILD | 68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 68 insertions(+)
Copied: pandoc/repos/community-staging-x86_64/PKGBUILD (from rev 674445, pandoc/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2020-08-11 09:32:06 UTC (rev 674446)
@@ -0,0 +1,68 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=pandoc
+pkgver=2.10
+pkgrel=1
+pkgdesc='Conversion between markup formats'
+url='https://pandoc.org'
+license=('GPL')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-http' 'haskell-juicypixels' 'haskell-sha' 'haskell-aeson'
+ 'haskell-aeson-pretty' 'haskell-attoparsec' 'haskell-base64-bytestring'
+ 'haskell-blaze-html' 'haskell-blaze-markup' 'haskell-case-insensitive' 'haskell-cmark-gfm'
+ 'haskell-connection' 'haskell-data-default' 'haskell-doclayout'
+ 'haskell-doctemplates' 'haskell-emojis' 'haskell-glob'
+ 'haskell-haddock-library' 'haskell-ipynb' 'haskell-jira-wiki-markup' 'haskell-skylighting'
+ 'haskell-skylighting-core' 'haskell-hslua' 'haskell-hslua-module-system'
+ 'haskell-hslua-module-text' 'haskell-http-client' 'haskell-syb' 'haskell-hsyaml'
+ 'haskell-http-client-tls' 'haskell-http-types' 'haskell-safe' 'haskell-split'
+ 'haskell-texmath' 'haskell-network' 'haskell-pandoc-types' 'haskell-random'
+ 'haskell-scientific' 'haskell-tagsoup' 'haskell-temporary' 'haskell-text-conversions'
+ 'haskell-network-uri' 'haskell-unicode-transforms' 'haskell-unordered-containers'
+ 'haskell-zip-archive' 'haskell-xml' 'haskell-zlib')
+optdepends=('pandoc-citeproc: for citation rendering with pandoc-citeproc filter'
+ 'pandoc-crossref: for numbering figures, equations, tables and cross-references to them with pandoc-crossref filter'
+ 'texlive-core: for pdf output')
+conflicts=('haskell-pandoc')
+replaces=('haskell-pandoc')
+makedepends=('ghc' 'haskell-diff' 'haskell-tasty' 'haskell-tasty-hunit' 'haskell-tasty-lua'
+ 'haskell-tasty-quickcheck' 'haskell-tasty-golden' 'haskell-quickcheck'
+ 'haskell-executable-path')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('1b8c1b2275ed0badcab5f55faf0afd68d1f2c692d261a0f5f2e5999b9254ebd64bb966e04f40974ff737d74a577f28ec808c2d537d1b8a7768b3e724ebfc3d76')
+
+prepare() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+
+ # TODO: find a better solution
+ sed -i "s|let env' = dynlibEnv ++ |let env' = dynlibEnv ++ [(\"LD_LIBRARY_PATH\", \"$PWD/dist/build\")] ++ |" test/Tests/Command.hs
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgbase}" --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+ -f-trypandoc -f-embed_data_files -f-static
+ runhaskell Setup build $MAKEFLAGS
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ LC_CTYPE=en_US.UTF-8 runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+ cd "${srcdir}/${pkgbase}-${pkgver}"
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ rm "${pkgdir}/usr/share/doc/${pkgname}/COPYING.md"
+ install -Dm644 man/pandoc.1 "${pkgdir}"/usr/share/man/man1/pandoc.1
+}
More information about the arch-commits
mailing list